#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%include	/usr/lib/rpm/macros.java

%define		srcname	commons-launcher
Summary:	Commons Launcher - a cross platform Java application launcher
Summary(pl.UTF-8):	Commons Launcher - wieloplatformowy komponent do uruchamiania aplikacji w Javie
Name:		java-commons-launcher
Version:	1.1
Release:	1
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/launcher/source/%{srcname}-%{version}-src.tar.gz
# Source0-md5:	99082b05bfc6f5ce452d179ee2871ef9
URL:		http://commons.apache.org/launcher/
BuildRequires:	ant
BuildRequires:	jpackage-utils >= 0:1.5.30
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Provides:	jakarta-commons-launcher
Obsoletes:	jakarta-commons-launcher
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Commons-launcher eliminates the need for a batch or shell script to
launch a Java class. Some situations where elimination of a batch or
shell script may be desirable are:

- You want to avoid having to determining where certain application
  paths are e.g. your application's home directory, etc. Determining
  this dynamically in a Windows batch scripts is very tricky on some
  versions of Windows or when softlinks are used on Unix platforms.
- You want to avoid having to handle native file and path separators
  or native path quoting issues.
- You need to enforce certain system properties e.g.
  java.endorsed.dirs when running with JDK 1.4.
- You want to allow users to pass in custom JVM arguments or system
  properties without having to parse and reorder arguments in your
  script. This can be tricky and/or messy in batch and shell scripts.
- You want to bootstrap system properties from a configuration file
  instead hard-coding them in your batch and shell scripts.
- You want to provide localized error messages which is very tricky to
  do in batch and shell scripts.

%description -l pl.UTF-8
Commons-launcher eliminuje potrzebę używania skryptu powłoki do
uruchamiania klas Javy. Niektóre sytuacje kiedy taka eliminacja może
być pożądana to:

- kiedy chcemy zapobiec określaniu ścieżek do katalogu aplikacji;
  dynamiczne określanie ich może wymagać sztuczek w przypadku
  windowsowych skryptów wsadowych lub uniksowych dowiązań symbolicznych
- kiedy chcemy zapobiec obsłudze natywnych separatorów ścieżek lub
  cytowania w skryptach
- potrzebujemy wymusić konkretne właściwości systemu, np.
  java.endorsed.dirs w przypadku uruchamiania pod JDK 1.4
- chcemy pozwolić użytkownikom przekazywać własne argumenty JVM lub
  właściwości systemu bez potrzeby analizy i zmiany kolejności
  argumentów w skrypcie
- chcemy załadować właściwości systemu z pliku konfiguracyjnego
  zamiast zaszywać je na stałe w skrypcie
- chcemy zapewnić zlokalizowane komunikaty błędów

%package javadoc
Summary:	Javadoc for commons-launcher
Summary(pl.UTF-8):	Dokumentacja Javadoc dla commons-launcher
Group:		Documentation
Requires:	jpackage-utils
Provides:	jakarta-commons-launcher-apidocs
Obsoletes:	jakarta-commons-launcher-apidocs

%description javadoc
Javadoc for commons-launcher.

%description javadoc -l pl.UTF-8
Dokumentacja Javadoc dla commons-launcher.

%prep
%setup -q -n commons-launcher

%build
mkdir lib
export SHELL=/bin/sh
%ant	-Dbuild.compiler=extJavac \
	-Dfinal.name=commons-launcher \
	-Dj2se.javadoc=%{_javadocdir}/java \
	-Dsrcdir=. \
	jar javadoc

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d $RPM_BUILD_ROOT%{_javadir}
for a in dist/bin/*.jar; do
	jar=${a##*/}
	cp -a dist/bin/$jar $RPM_BUILD_ROOT%{_javadir}/${jar%%.jar}-%{version}.jar
	ln -s ${jar%%.jar}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/$jar
done

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Sun Aug 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-commons-launcher.git;a=log;h=master

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> bf4e3d4
- drop unneeded BR
- rel 1

* Fri Feb 20 2009 pawelz <pawelz@pld-linux.org> 26b930e
- up to 1.1
- use java-gcj-compat-devel
- correct dir for javadoc
- removed %%doc since there was nothing interesting
- license version
- unified apache download URL

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> 39c7f7b
- Libraries/Java group

* Mon Jan 26 2009 Elan Ruusamäe <glen@pld-linux.org> 751cf73
- release 1

* Fri Dec 26 2008 pawelz <pawelz@pld-linux.org> c35980d
- new URLs
- added Provides/Obsoletes old name in subpackage

* Sun Nov 23 2008 Elan Ruusamäe <glen@pld-linux.org> 7f17eab
- renamed to java-commons-launcher.spec

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> d2a5051
- unified License format

* Mon Apr 16 2007 Jakub Bogusz <qboosh@pld-linux.org> d65a4fe
- pl

* Wed Apr 11 2007 Elan Ruusamäe <glen@pld-linux.org> 24a708d
- based on jpackage and template-java.spec

